#ifndef __Types_h__
#define __Types_h__
/*
 * libzdt - zdt's own C Library.
 * Copyright (C) 1999,2000 Jeremy Tregunna. All rights reserved.
 *
 * libzdt is distributed under a modified version of the BSD license.
 * You should have received a copy of this license in the Documentation
 * directory.
 */

#ifdef __cplusplus
extern "C" {
#endif

typedef long long bigtime_t;

typedef long long int64;
typedef long int32;
typedef long int lint;
typedef short int16;
typedef char int8;

typedef unsigned long long uint64;
typedef unsigned long uint32;
typedef unsigned long int ulint;
typedef unsigned short uint16;
typedef unsigned char uint8;

typedef volatile long long vint64;
typedef volatile long vint32;
typedef volatile long int vlint;
typedef volatile short vint16;
typedef volatile char vint8;

typedef unsigned volatile long long vuint64;
typedef unsigned volatile long vuint32;
typedef unsigned volatile long int vulint;
typedef unsigned volatile short vuint16;
typedef unsigned volatile char vuint8;

typedef volatile long vlong;
typedef volatile int vint;
typedef volatile char vchar;
typedef volatile short vshort;

typedef unsigned volatile long vulong;
typedef unsigned volatile int vuint;
typedef unsigned volatile short vushort;
typedef unsigned volatile char vuchar;

typedef void *voidpf;

#ifndef NULL
#define NULL (0)
#endif /* !NULL */

#ifndef TRUE
#define TRUE 1
#define FALSE 0
#endif /* !TRUE */

#ifdef __cplusplus
}
#endif
#endif /* !__Types_h__ */
