#ifndef __saferplus_h__
#define __saferplus_h__

#ifdef __cplusplus
extern "C" {
#endif

typedef struct saferplus_instance {
  uint8 l_key[33*16];
  uint32 k_bytes;
} SPI;

void _zcrypt_saferplus_set_key(SPI * sp_key, const uint32 *in_key, const uint32 key_len);
void _zcrypt_saferplus_encrypt(SPI *spi,uint32 *_blk);
void _zcrypt_saferplus_decrypt(SPI *spi,uint32 *_blk);

#ifdef __cplusplus
}
#endif

#endif /* !__saferplus_h__ */
